'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0e20a87a.js');
const index$1 = require('./index-211dabb8.js');
const defaultIconPack = require('./default-icon-pack-d94ddba8.js');

const dyteLeaveMeetingCss = ".leave-modal{position:relative;display:flex;flex-direction:column;border-radius:var(--dyte-border-radius-md, 8px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-900, 26 26 26) / var(--tw-bg-opacity));padding:var(--dyte-space-4, 16px)}.leave-modal .header h2{margin:var(--dyte-space-0, 0px)}.leave-modal .content{font-size:14px}.leave-message p{margin-top:var(--dyte-space-3, 12px);margin-bottom:var(--dyte-space-3, 12px)}.leave-meeting{display:flex;flex-direction:row;justify-content:space-between}.leave-meeting dyte-button{width:100%}.leave-meeting dyte-button:last-child{margin-left:var(--dyte-space-2, 8px)}.leave-meeting-btn{--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-danger, 255 45 45) / var(--tw-bg-opacity))}.end-meeting{margin-top:var(--dyte-space-3, 12px);display:flex;flex-direction:row}.end-meeting .end-meeting-btn{flex-grow:1;--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-danger, 255 45 45) / var(--tw-bg-opacity))}dyte-button{border-radius:var(--dyte-border-radius-sm, 4px)}dyte-button.dismiss{position:absolute;top:var(--dyte-space-3, 12px);right:var(--dyte-space-3, 12px);background-color:transparent;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)}dyte-button.dismiss:hover{color:rgb(var(--dyte-colors-text-700, 255 255 255 / 0.64))}dyte-button.cancel{--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-700, 44 44 44) / var(--tw-bg-opacity))}dyte-button:hover{--tw-bg-opacity:0.6}";

const DyteLeaveMeeting = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    this.keyPressListener = (e) => {
      if (e.key === 'Escape') {
        this.close();
      }
    };
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.canEndMeeting = false;
    this.close = () => {
      this.stateUpdate.emit({ activeLeaveConfirmation: false });
    };
    this.handleLeave = () => {
      var _a;
      (_a = this.meeting) === null || _a === void 0 ? void 0 : _a.leaveRoom();
    };
    this.handleEndMeeting = () => {
      var _a;
      (_a = this.meeting) === null || _a === void 0 ? void 0 : _a.participants.kickAll();
    };
  }
  connectedCallback() {
    this.meetingChanged(this.meeting);
    document.addEventListener('keydown', this.keyPressListener);
  }
  componentDidLoad() { }
  disconnectedCallback() {
    document.removeEventListener('keydown', this.keyPressListener);
  }
  meetingChanged(meeting) {
    if (meeting != null) {
      this.canEndMeeting = meeting.self.permissions.kickParticipant;
    }
  }
  render() {
    return (index.h(index.Host, null, index.h("div", { class: "leave-modal" }, index.h("div", { class: "header" }, index.h("h2", { class: "title" }, this.t('leave')), index.h("dyte-button", { kind: "icon", class: "dismiss", title: this.t('Close'), onClick: () => this.close() }, index.h("dyte-icon", { icon: this.iconPack.dismiss }))), index.h("p", { class: "message" }, this.t('leave_confirmation')), index.h("div", { class: "content" }, index.h("div", { class: "leave-meeting" }, index.h("dyte-button", { class: "cancel", title: this.t('Close'), onClick: this.close }, this.t('cancel')), index.h("dyte-button", { class: "leave-meeting-btn", title: this.t('leave'), onClick: this.handleLeave }, this.t('leave'))), this.canEndMeeting && (index.h("div", { class: "end-meeting" }, index.h("dyte-button", { class: "end-meeting-btn", onClick: this.handleEndMeeting }, this.t('end_meeting_for_all'))))))));
  }
  static get watchers() { return {
    "meeting": ["meetingChanged"]
  }; }
};
DyteLeaveMeeting.style = dyteLeaveMeetingCss;

exports.dyte_leave_meeting = DyteLeaveMeeting;
