import { h } from '@stencil/core';
import { getAspectRatio, getPeerDimensions } from '../../../utils/grid';
import { Render } from '../../../lib/render';
export const PeersGrid = ({ peers, defaults, host, gap, aspectRatio, containerDimensions, }) => {
  const [width, height] = getPeerDimensions({
    size: peers.length,
    gap,
    dimensions: containerDimensions,
    container: host,
    ratio: getAspectRatio(aspectRatio),
  });
  return peers.map((peer) => (h(Render, { element: "dyte-peer-view", defaults: defaults, props: {
      peer,
      key: peer.id,
      'data-peer': peer.id,
      style: {
        width: `${width}px`,
        height: `${height}px`,
        margin: `${gap}px`,
      },
    }, childProps: { peer }, deepProps: true })));
};
