export const getPeerDimensions = ({ size, container, dimensions, gap, ratio, }) => {
  let [width, height] = dimensions || [container.clientWidth, container.clientHeight];
  width -= gap * 2;
  height -= gap * 2;
  const getArea = (increment) => {
    let w = 0;
    let h = increment * ratio + gap * 2;
    for (let i = 0; i < size; i++) {
      if (w + increment > width) {
        w = 0;
        h += increment * ratio + gap * 2;
      }
      w += increment + gap * 2;
    }
    if (h > height || increment > width)
      return false;
    return increment;
  };
  let max = 0, found = false;
  for (let i = 1; i < 1440; i++) {
    const area = getArea(i);
    if (area === false) {
      max = i - 1;
      found = true;
      break;
    }
  }
  if (!found) {
    max = 1440;
  }
  max -= gap * 2;
  return [max, max * ratio];
};
/**
 * Parses the Aspect Ratio value
 * @param ratio The aspect ratio in the format of `16:9` where `width:height`
 * @returns The parsed value of aspect ratio
 */
export const getAspectRatio = (ratio) => {
  const [width, height] = ratio.split(':');
  return Number.parseInt(height) / Number.parseInt(width);
};
