import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { d as defaultIconPack } from './default-icon-pack.js';
import { u as useLanguage } from './index2.js';
import { d as defineCustomElement$3 } from './dyte-controlbar-button2.js';
import { d as defineCustomElement$2 } from './dyte-icon2.js';

const dyteLeaveButtonCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteLeaveButton$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.stateUpdate = createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack;
    /** Language */
    this.t = useLanguage();
  }
  leave() {
    this.stateUpdate.emit({ activeLeaveConfirmation: true });
  }
  render() {
    const text = this.t('leave');
    return (h(Host, { label: text }, h("dyte-controlbar-button", { class: "leave", onClick: () => this.leave(), size: this.size, icon: this.iconPack.call_end, label: text })));
  }
  static get style() { return dyteLeaveButtonCss; }
}, [1, "dyte-leave-button", {
    "size": [513],
    "iconPack": [16],
    "t": [16]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-leave-button", "dyte-controlbar-button", "dyte-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-leave-button":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteLeaveButton$1);
      }
      break;
    case "dyte-controlbar-button":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "dyte-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const DyteLeaveButton = DyteLeaveButton$1;
const defineCustomElement = defineCustomElement$1;

export { DyteLeaveButton, defineCustomElement };
