import { r as registerInstance, c as createEvent, h, H as Host } from './index-da7bf46b.js';
import { d as defaultIconPack } from './default-icon-pack-3c344d0e.js';
import { u as useLanguage } from './index-a651ed73.js';

const dyteLeaveButtonCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteLeaveButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.stateUpdate = createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack;
    /** Language */
    this.t = useLanguage();
  }
  leave() {
    this.stateUpdate.emit({ activeLeaveConfirmation: true });
  }
  render() {
    const text = this.t('leave');
    return (h(Host, { label: text }, h("dyte-controlbar-button", { class: "leave", onClick: () => this.leave(), size: this.size, icon: this.iconPack.call_end, label: text })));
  }
};
DyteLeaveButton.style = dyteLeaveButtonCss;

export { DyteLeaveButton as dyte_leave_button };
