import { r as registerInstance, h, H as Host } from './index-da7bf46b.js';

const dyteMeetingTitleCss = ":host{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;font-family:var(--dyte-font-family, sans-serif);font-size:16px}.title{text-align:center;overflow:hidden;display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:1}";

const DyteMeetingTitle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.title = '';
  }
  connectedCallback() {
    this.meetingChanged(this.meeting);
  }
  meetingChanged(meeting) {
    if (meeting != null) {
      // update title
      this.title = meeting.meta.meetingTitle;
    }
  }
  render() {
    return (h(Host, { tabIndex: 0, role: "banner", "aria-label": this.title }, h("dyte-tooltip", { label: this.title }, h("div", { class: "title" }, this.title))));
  }
  static get watchers() { return {
    "meeting": ["meetingChanged"]
  }; }
};
DyteMeetingTitle.style = dyteMeetingTitleCss;

export { DyteMeetingTitle as dyte_meeting_title };
