import { r as registerInstance, c as createEvent, h, H as Host } from './index-da7bf46b.js';
import { d as defaultIconPack } from './default-icon-pack-3c344d0e.js';
import { u as useLanguage } from './index-a651ed73.js';

const dyteSettingsToggleCss = ":host{display:block}";

const DyteSettingsToggle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.stateUpdate = createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack;
    /** Language */
    this.t = useLanguage();
  }
  toggleSettings() {
    this.stateUpdate.emit({ activeSettings: !this.states.activeSettings });
  }
  render() {
    const text = this.t('settings');
    return (h(Host, { title: text }, h("dyte-controlbar-button", { size: this.size, onClick: () => this.toggleSettings(), icon: this.iconPack.settings, label: text })));
  }
};
DyteSettingsToggle.style = dyteSettingsToggleCss;

export { DyteSettingsToggle as dyte_settings_toggle };
