import { IconPack } from '../../lib/icons';
import { Meeting, Peer } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
import { DytePlugin } from '@dyte-in/client-core';
export declare class DyteGrid {
  private resizeObserver;
  private participantJoinedListener;
  private participantLeftListener;
  private screenShareListener;
  private selfScreenShareListener;
  private viewModeListener;
  private pageChangedListener;
  private pluginUpdateListener;
  host: HTMLDyteGridElement;
  /** The aspect ratio of each peer */
  aspectRatio: string;
  /** Meeting object */
  meeting: Meeting;
  /** Gap between peers */
  gap: number;
  /** Size */
  size: Size;
  /** States */
  states: States;
  /** Config object */
  config: UIConfig;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  peers: Peer[];
  screensharePeers: Peer[];
  plugins: DytePlugin[];
  dimensions: [width: number, height: number];
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private addScreenSharePeer;
  private removeScreenSharePeer;
  render(): any;
}
