import { EventEmitter } from '../../stencil-public-runtime';
import { Meeting } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
import { IconPack } from '../../lib/icons';
export declare type SidebarView = 'default' | 'sidebar' | 'full-screen';
export declare class DyteSidebar {
  private keydownListener;
  /** Meeting object */
  meeting: Meeting;
  /** States object */
  states: States;
  /** Config */
  config: UIConfig;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Size */
  size: Size;
  /** View type */
  view: SidebarView;
  tab: 'none' | 'chat' | 'participants' | 'plugins';
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  statesChanged(states: States): void;
  viewChanged(view: SidebarView): void;
  private close;
  render(): any;
}
