/// <reference types="node" />
import { ButtonVariant } from '../components/dyte-button/dyte-button';
import { RoomLeftState } from './dyte-client';
export declare type Size = 'sm' | 'md' | 'lg' | 'xl';
export interface UserPreferences {
  mirrorVideo?: boolean;
  muteNotificationSounds?: boolean;
}
export interface States {
  meeting?: 'idle' | 'setup' | 'joined' | 'ended';
  page?: number;
  maxPeers?: number;
  activeSettings?: boolean;
  activeSidebar?: boolean;
  activeLeaveConfirmation?: boolean;
  prefs?: UserPreferences;
  roomLeftState?: RoomLeftState;
  disconnectTimeout?: NodeJS.Timeout;
  [state: string]: any;
}
export interface Notification {
  id: string;
  message: string;
  image?: string;
  /** Duration in milliseconds, don't pass this if you want a stagnant notification */
  duration?: number;
  icon?: string;
  button?: {
    text: string;
    variant?: ButtonVariant;
    onClick: () => void;
  };
}
export declare type NetworkError = 'disconnected' | 'poorConnection' | 'connected';
